Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.run
Class Project

    java.lang.Object
      threeD.run.Project

public class Project
extends java.lang.Object

A Project object stores a Scene object and keeps track of rendering options and a home (data) directory.

Constructor Summary
`Project()` Constructs a new Project object.
`Project(Scene s)` Constructs a new Project object.

Method Summary
`java.lang.String` | `getHomeDir()`
`RenderParameters` | `getRenderParameters()`
`Scene` | `getScene()`
`void` | `setHomeDir(java.lang.String dir)` Sets the home directory path stored by this Project object.
`void` | `setRenderParameters(RenderParameters r)` Sets the RenderParameters object stored by this Project object.
`void` | `setScene(Scene s)` Sets the Scene object stored by this Project object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Project

    public Project()

  Constructs a new Project object.

### Project

    public Project(Scene s)

  Constructs a new Project object.

Parameters:
  `s` - The Scene object to be stored by this Project object.

Method Detail

### setScene

    public void setScene(Scene s)

  Sets the Scene object stored by this Project object.

  Parameters:
    `s` - The Scene object to store.

### setRenderParameters

    public void setRenderParameters(RenderParameters r)

  Sets the RenderParameters object stored by this Project object.

  Parameters:
    `r` - The RenderParameters object to store.

### setHomeDir

    public void setHomeDir(java.lang.String dir)

  Sets the home directory path stored by this Project object.

  Parameters:
    `dir` - The home directory path to store.

### getScene

    public Scene getScene()

  Returns:
    The Scene object stored by this Project object.

### getRenderParameters

    public RenderParameters getRenderParameters()

  Returns:
    The RenderParameters object stored by this Project object.

### getHomeDir

    public java.lang.String getHomeDir()

  Returns:
    The home directory path stored by this Project object.

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray